libecpg-dev_10.6-0ubuntu0.18.10.1_i386.deb


Advertisement

Description

libecpg-dev - development files for ECPG (Embedded PostgreSQL for C)

Property Value
Distribution Ubuntu 18.10 (Cosmic Cuttlefish)
Repository Ubuntu Updates Main i386
Package name libecpg-dev
Package version 10.6
Package release 0ubuntu0.18.10.1
Package architecture i386
Package type deb
Installed size 1.22 KB
Download size 230.09 KB
Official Mirror archive.ubuntu.com
This package contains the necessary files to build ECPG (Embedded
PostgreSQL for C) programs.  It includes the development libraries
and the preprocessor program ecpg.
PostgreSQL is an object-relational SQL database management system.
Install this package if you want to write C programs with SQL statements
embedded in them (rather than run by an external process).

Alternatives

Package Version Architecture Repository
libecpg-dev_10.6-0ubuntu0.18.10.1_amd64.deb 10.6 amd64 Ubuntu Updates Main
libecpg-dev_10.5-1_i386.deb 10.5 i386 Ubuntu Main
libecpg-dev_10.5-1_amd64.deb 10.5 amd64 Ubuntu Main
libecpg-dev - - -

Requires

Name Value
libc6 >= 2.4
libecpg-compat3 = 10.6-0ubuntu0.18.10.1
libecpg6 = 10.6-0ubuntu0.18.10.1
libpgtypes3 = 10.6-0ubuntu0.18.10.1
libpq-dev -

Download

Type URL
Binary Package libecpg-dev_10.6-0ubuntu0.18.10.1_i386.deb
Source Package postgresql-10

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libecpg-dev deb package:
    # sudo apt-get install libecpg-dev

Files

Path
/usr/bin/ecpg
/usr/include/postgresql/ecpg_config.h
/usr/include/postgresql/ecpg_informix.h
/usr/include/postgresql/ecpgerrno.h
/usr/include/postgresql/ecpglib.h
/usr/include/postgresql/ecpgtype.h
/usr/include/postgresql/pgtypes.h
/usr/include/postgresql/pgtypes_date.h
/usr/include/postgresql/pgtypes_error.h
/usr/include/postgresql/pgtypes_interval.h
/usr/include/postgresql/pgtypes_numeric.h
/usr/include/postgresql/pgtypes_timestamp.h
/usr/include/postgresql/sql3types.h
/usr/include/postgresql/sqlca.h
/usr/include/postgresql/sqlda-compat.h
/usr/include/postgresql/sqlda-native.h
/usr/include/postgresql/sqlda.h
/usr/include/postgresql/informix/esql/datetime.h
/usr/include/postgresql/informix/esql/decimal.h
/usr/include/postgresql/informix/esql/sqltypes.h
/usr/lib/i386-linux-gnu/libecpg.a
/usr/lib/i386-linux-gnu/libecpg.so
/usr/lib/i386-linux-gnu/libecpg_compat.a
/usr/lib/i386-linux-gnu/libecpg_compat.so
/usr/lib/i386-linux-gnu/libpgtypes.a
/usr/lib/i386-linux-gnu/libpgtypes.so
/usr/lib/i386-linux-gnu/pkgconfig/libecpg.pc
/usr/lib/i386-linux-gnu/pkgconfig/libecpg_compat.pc
/usr/lib/i386-linux-gnu/pkgconfig/libpgtypes.pc
/usr/share/doc/libecpg-dev/changelog.Debian.gz
/usr/share/doc/libecpg-dev/copyright
/usr/share/man/man1/ecpg.1.gz

Changelog

See postgresql-10_10.6-0ubuntu0.18.10.1_i386.deb changelog.

See Also

Package Description
libecpg6_10.6-0ubuntu0.18.10.1_i386.deb run-time library for ECPG programs
libelf-dev_0.170-0.5.0ubuntu1_i386.deb libelf1 development libraries and header files
libelf1_0.170-0.5.0ubuntu1_i386.deb library to read and write ELF files
libevdocument3-4_3.30.1-1ubuntu1.2_i386.deb Document (PostScript, PDF) rendering library
libevince-dev_3.30.1-1ubuntu1.2_i386.deb Document (PostScript, PDF) rendering library - development files
libevview3-3_3.30.1-1ubuntu1.2_i386.deb Document (PostScript, PDF) rendering library - Gtk+ widgets
libfreerdp-client2-2_2.0.0~git20180411.1.7a7b1802+dfsg1-2ubuntu0.1_i386.deb Free Remote Desktop Protocol library (client library)
libfreerdp-server2-2_2.0.0~git20180411.1.7a7b1802+dfsg1-2ubuntu0.1_i386.deb Free Remote Desktop Protocol library (server library)
libfreerdp-shadow-subsystem2-2_2.0.0~git20180411.1.7a7b1802+dfsg1-2ubuntu0.1_i386.deb FreeRDP Remote Desktop Protocol shadow subsystem libraries
libfreerdp-shadow2-2_2.0.0~git20180411.1.7a7b1802+dfsg1-2ubuntu0.1_i386.deb FreeRDP Remote Desktop Protocol shadow libraries
libfreerdp2-2_2.0.0~git20180411.1.7a7b1802+dfsg1-2ubuntu0.1_i386.deb Free Remote Desktop Protocol library (core library)
libgettextpo-dev_0.19.8.1-8ubuntu0.1_i386.deb GNU Internationalization library development files
libgettextpo0_0.19.8.1-8ubuntu0.1_i386.deb GNU Internationalization library
libgjs-dev_1.54.3-1~ubuntu18.10.1_i386.deb Mozilla-based javascript bindings for the GNOME platform
libgjs0g_1.54.3-1~ubuntu18.10.1_i386.deb Mozilla-based javascript bindings for the GNOME platform
Advertisement
Advertisement